Bug 72091 - redhat-config-mouse crashes on startup
redhat-config-mouse crashes on startup
Status: CLOSED RAWHIDE
Product: Red Hat Public Beta
Classification: Retired
Component: redhat-config-mouse (Show other bugs)
null
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Brent Fox
:
Depends On:
Blocks: 67217
  Show dependency treegraph
 
Reported: 2002-08-20 22:49 EDT by Mike MacCana
Modified: 2008-05-01 11:38 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-08-22 15:40:40 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mike MacCana 2002-08-20 22:49:25 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0.1) Gecko/20020809

Description of problem:
Upon launching redhat-config-mouse, the following messages occur.
This bugs did not appear on Limbo 1 and 2, only null. The mouse being used is a
Microsoft Intellimouse PS/2.

[root@localhost packages]# redhat-config-mouse
Traceback (most recent call last):
  File "/usr/share/redhat-config-mouse/redhat-config-mouse.py", line 13, in ?
    app.stand_alone()
  File "/usr/share/redhat-config-mouse/mouse_gui.py", line 306, in stand_alone
    self.setupScreen()
  File "/usr/share/redhat-config-mouse/mouse_gui.py", line 53, in setupScreen
    self.mouse = mouse.Mouse()
  File "/usr/lib/python2.2/site-packages/rhpl/mouse.py", line 120, in __init__
    self.probe()
  File "/usr/lib/python2.2/site-packages/rhpl/mouse.py", line 191, in probe
    self.set("No mouse")
  File "/usr/lib/python2.2/site-packages/rhpl/mouse.py", line 229, in set
    (gpm, x11, dev, em, shortname) = self.mice[mouse]
KeyError: No mouse

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.Run redhat-config-mouse on Red Hat null.
	

Additional info:
Comment 1 Alexandre Oliva 2002-08-21 01:41:39 EDT
I've duplicated the problem by running redhat-config-mouse within X, or even in
text mode with X already running.  Apparently it only runs properly when X
hasn't grabbed the mouse (even though it does break the mouse set up while it
attempts to detect it).
Comment 2 Alexandre Oliva 2002-08-21 01:50:44 EDT
The only way I've been able to run it successfully was to init 3 the box, log
into X on another box, ssh into the one I want to change the mouse config, and
then run redhat-config-mouse with X display tunneling through the SSH
connection.  Only then does it probe a PS/2 mouse correctly.  Mine is a Genius
NetScroll+, FWIW.
Comment 3 Brent Fox 2002-08-22 15:40:32 EDT
Should be fixed with rhpl-0.47-1 and redhat-config-mouse-1.0.0-1.

QA, please verify.
Comment 4 Jay Turner 2002-09-03 08:19:01 EDT
Fix confirmed with rhpl-0.47-1 and redhat-config-mouse-1.0.0-1.

Note You need to log in before you can comment on or make changes to this bug.